package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;
import java.util.List;

/**
 * 站点地图-某个站点基本信息
 *
 */
public class SingleSiteBaseInfo {
    /**
     * 站点名称
     */
    private String siteName;

    /**
     * 今日充电量
     */
    private BigDecimal dayChargedCap;

    /**
     * 今日放电量
     */
    private BigDecimal dayDisChargedCap;

    /**
     * 总充电量
     */
    private BigDecimal totalChargedCap;

    /**
     * 总放电量
     */
    private BigDecimal totalDisChargedCap;

    /**
     * 站点坐标
     */
    private String[] siteLocation;

    /**
     * 站点位置
     */
    private String siteAddress;

    /**
     * 投运时间
     */
    private String runningTime;

    /**
     * 装机功率（MW）
     */
    private BigDecimal installPower;

    /**
     * 装机容量（MW）
     */
    private BigDecimal installCapacity;

    /**
     * 七天放电统计
     */
    private List<SiteMonitorDataVo> sevenDayDisChargeStats;

    public String getSiteName() {
        return siteName;
    }

    public void setSiteName(String siteName) {
        this.siteName = siteName;
    }

    public BigDecimal getDayChargedCap() {
        return dayChargedCap;
    }

    public void setDayChargedCap(BigDecimal dayChargedCap) {
        this.dayChargedCap = dayChargedCap;
    }

    public BigDecimal getInstallPower() {
        return installPower;
    }

    public void setInstallPower(BigDecimal installPower) {
        this.installPower = installPower;
    }

    public BigDecimal getInstallCapacity() {
        return installCapacity;
    }

    public void setInstallCapacity(BigDecimal installCapacity) {
        this.installCapacity = installCapacity;
    }

    public String getRunningTime() {
        return runningTime;
    }

    public void setRunningTime(String runningTime) {
        this.runningTime = runningTime;
    }

    public String[] getSiteLocation() {
        return siteLocation;
    }

    public void setSiteLocation(String[] siteLocation) {
        this.siteLocation = siteLocation;
    }

    public String getSiteAddress() {
        return siteAddress;
    }

    public void setSiteAddress(String siteAddress) {
        this.siteAddress = siteAddress;
    }

    public BigDecimal getTotalDisChargedCap() {
        return totalDisChargedCap;
    }

    public void setTotalDisChargedCap(BigDecimal totalDisChargedCap) {
        this.totalDisChargedCap = totalDisChargedCap;
    }

    public BigDecimal getTotalChargedCap() {
        return totalChargedCap;
    }

    public void setTotalChargedCap(BigDecimal totalChargedCap) {
        this.totalChargedCap = totalChargedCap;
    }

    public BigDecimal getDayDisChargedCap() {
        return dayDisChargedCap;
    }

    public void setDayDisChargedCap(BigDecimal dayDisChargedCap) {
        this.dayDisChargedCap = dayDisChargedCap;
    }

    public List<SiteMonitorDataVo> getSevenDayDisChargeStats() {
        return sevenDayDisChargeStats;
    }

    public void setSevenDayDisChargeStats(List<SiteMonitorDataVo> sevenDayDisChargeStats) {
        this.sevenDayDisChargeStats = sevenDayDisChargeStats;
    }
}
